[Bug 257063] archivers/star: Do not install 'gnutar' for it is broken

From: <bugzilla-noreply_at_freebsd.org>
Date: Fri, 09 Jul 2021 14:12:00 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257063

--- Comment #7 from ice_at_extreme.hu ---
(In reply to Jörg Schilling from comment #6)

Just to be pedantic, the command line used is "/usr/local/bin/gnutar
--exclude=precomplete --exclude=.mkdir.done -chf - ." (note *dash* chf), which
GNU tar going back decades as well as libarchive tar accepts just fine.

On a passingly related note, gnutar's man page claims to "emulate the GNU
version of the tar archiver". What GNU tar does or does not do right or wrong
is completely irrelevant. The claim is GNU tar emulation, not "this is the
implementation GNU tar should have been".

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Fri Jul 09 2021 - 14:12:00 UTC

Original text of this message